﻿@model MultipleRegisterViewModel

@{
    Layout = "~/Views/Register/MultipleRegister.cshtml";

    ViewBag.SeasonDomain = Model.SeasonDomain;
    ViewBag.SeasonTitle = Model.SeasonTitle;
    ViewBag.HasWaiver = Model.HasWaiver;
    ViewBag.LastStep = Model.LastStep;
    ViewBag.GeneralOpenRegDate = Model.GeneralOpenRegDate;
    ViewBag.LotteryEndDate = Model.LotteryEndDate;
    ViewBag.HasPaymentPlan = Model.HasPaymentPlan;
    ViewBag.HasFollowUpForms = Model.HasFollowUpForms;
}

@Html.HiddenFor(model => model.LastStep)
@Html.HiddenFor(model => model.HasWaiver)
@Html.HiddenFor(model => model.SelectedPlayer)
@Html.HiddenFor(model => model.HasPaymentPlan)
@Html.HiddenFor(model => model.HasFollowUpForms)

<section id="registrationForm" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 step">

    @foreach (var followUpForm in Model.FollowUpForms)
    {
        if (followUpForm != null)
        {

            foreach (var item in Model.FollowUpFormItems)
            {
                if (followUpForm.Id == item.FormId || followUpForm.ParentId == item.FormId)
                {
                    using (Html.BeginCollectionItem("FollowUpForms"))
                    {
                        @Html.Hidden("ParentId", followUpForm.ParentId)
                        <div class="waiver full-width container-bordered box-content-waiwer box-content-lineup" style="padding:0 0 8px; ">
                            <div class="box-title-fluid">@item.Name</div>
                            <div class="box-subtitle-fluid">@item.AssignedProgramsName</div>

                            <div class="full-width">
                                <div id="jbForm" class="full-width">
                                    @Html.Partial("_FollowupFormItem", followUpForm)
                                </div>
                            </div>
                        </div>
                    }
                }
            }

        }
    }

</section>